Go to the latest version of this document.

# ``twisted`.`plugins`.`cred_unix`.`UNIXChecker``

class documentation

`class UNIXChecker: (source)`

Implements interfaces: `twisted.cred.checkers.ICredentialsChecker`

View In Hierarchy

A credentials checker for a UNIX server. This will check that an authenticating username/password is a valid user on the system.

Does not work on Windows.

Right now this supports Python's pwd and spwd modules, if they are installed. It does not support PAM.

Method | `checkPwd` | Obtain the encrypted password for `username` from the Unix password database using `pwd.getpwnam`, and see if it it matches it matches `password`.
Method | `checkSpwd` | Obtain the encrypted password for `username` from the Unix shadow password database using `spwd.getspnam`, and see if it it matches it matches `password`.
Method | `requestAvatarId` | Validate credentials and produce an avatar ID.
Class Variable | `credentialInterfaces` | A list of sub-interfaces of `ICredentials` which specifies which I may check.

def checkPwd(self, pwd, username, password): (source)

Obtain the encrypted password for `username` from the Unix password database using `pwd.getpwnam`, and see if it it matches it matches `password`.

Parameters
pwd:`module` | Module which provides functions which access to the Unix password database.
username:`unicode`/`str` or `bytes` | The user to look up in the Unix password database.
password | The password to compare.

def checkSpwd(self, spwd, username, password): (source)

Obtain the encrypted password for `username` from the Unix shadow password database using `spwd.getspnam`, and see if it it matches it matches `password`.

Parameters
spwd:`module` | Module which provides functions which access to the Unix shadow password database.
username:`unicode`/`str` or `bytes` | The user to look up in the Unix password database.
password | The password to compare.

def requestAvatarId(self, credentials): (source)
from `twisted.cred.checkers.ICredentialsChecker`

Validate credentials and produce an avatar ID.

Parameters
credentials | something which implements one of the interfaces in `credentialInterfaces`.

Returns
a `Deferred` which will fire with a `bytes` that identifies an avatar, an empty tuple to specify an authenticated anonymous user (provided as `twisted.cred.checkers.ANONYMOUS`) or fail with `UnauthorizedLogin`. Alternatively, return the result itself.

See Also
`twisted.cred.credentials`

credentialInterfaces = (source)
from `twisted.cred.checkers.ICredentialsChecker`

A list of sub-interfaces of `ICredentials` which specifies which I may check.